#ifndef _BIOLOID_DYN_SLAVE_H
#define _BIOLOID_DYN_SLAVE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f4xx.h"
#include "dynamixel_slave.h"
#include "comm.h"

void bioloid_dyn_slave_init(void);
void bioloid_dyn_slave_start(void);
void bioloid_dyn_slave_stop(void);
void bioloid_dyn_slave_set_int(void);
void bioloid_dyn_slave_clear_int(void);
uint8_t bioloid_dyn_slave_is_int_set(void);

#ifdef __cplusplus
}
#endif

#endif

