#ifndef _ZIGBEE_H
#define _ZIGBEE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f4xx.h"

// public functions
void zigbee_init(void);
void zigbee_enable_power(void);
void zigbee_disable_power(void);
void zigbee_enable(void);
void zigbee_disable(void);
// operation functions
uint8_t zigbee_in_range(unsigned short int address,unsigned short int length);
void zigbee_process_write_cmd(unsigned short int address,unsigned short int length,unsigned char *data);

#ifdef __cplusplus
}
#endif

#endif
